summaryrefslogtreecommitdiffhomepage
path: root/applications
diff options
context:
space:
mode:
authorSteven Barth <steven@midlink.org>2009-05-26 17:44:02 +0000
committerSteven Barth <steven@midlink.org>2009-05-26 17:44:02 +0000
commitf7deae100d6d36c1e8d6fef17316ca03aaf7214c (patch)
tree27cc38809c74902741a689122630587cef649e93 /applications
parentde9849b2d9c2ef6779a869edb382e2cdb48474ba (diff)
LuCId
Diffstat (limited to 'applications')
-rwxr-xr-xapplications/luci-splash/root/etc/cron.minutely/luci_splash2
-rwxr-xr-xapplications/luci-splash/root/etc/init.d/luci_splash23
-rwxr-xr-xapplications/luci-splash/root/usr/bin/luci-splashd29
3 files changed, 17 insertions, 37 deletions
diff --git a/applications/luci-splash/root/etc/cron.minutely/luci_splash b/applications/luci-splash/root/etc/cron.minutely/luci_splash
deleted file mode 100755
index eae429474..000000000
--- a/applications/luci-splash/root/etc/cron.minutely/luci_splash
+++ /dev/null
@@ -1,2 +0,0 @@
-#!/bin/sh
-[ "$(date +%M | cut -c2)" == "5" ] && luci-splash sync \ No newline at end of file
diff --git a/applications/luci-splash/root/etc/init.d/luci_splash b/applications/luci-splash/root/etc/init.d/luci_splash
index b6eaf325a..31ffb783a 100755
--- a/applications/luci-splash/root/etc/init.d/luci_splash
+++ b/applications/luci-splash/root/etc/init.d/luci_splash
@@ -47,6 +47,23 @@ whitelist_add() {
boot() {
### We are started by the firewall include
+
+ uci get lucid.splashr || {
+uci batch <<EOF
+ set lucid.splashr=daemon
+ set lucid.splashr.slave=httpd
+ add_list lucid.splashr.address=8082
+ add_list lucid.splashr.publisher=splashredir
+ set lucid.splashr.enabled=1
+
+ set lucid.splashredir=Redirector
+ set lucid.splashredir.name=Splashd
+ set lucid.splashredir.virtual='/'
+ set lucid.splashredir.physical=':80/luci/splash'
+
+ commit lucid
+EOF
+ }
exit 0
}
@@ -82,9 +99,6 @@ start() {
grep -q luci-splash /etc/crontabs/root || {
echo '*/5 * * * * /usr/sbin/luci-splash sync' >> /etc/crontabs/root
}
-
- ### Start the splash httpd
- start-stop-daemon -S -m -p /var/run/luci-splashd.pid -b -q -x /usr/bin/luci-splashd
}
stop() {
@@ -101,9 +115,6 @@ stop() {
iptables -t nat -X luci_splash_leases
iptables -t nat -X luci_splash_portal
iptables -t nat -X luci_splash_prerouting
-
- ### Stop the splash httpd
- start-stop-daemon -K -p /var/run/luci-splashd.pid -s KILL -q
sed -ie '/\/usr\/sbin\/luci-splash sync/d' /var/spool/cron/crontabs/root
}
diff --git a/applications/luci-splash/root/usr/bin/luci-splashd b/applications/luci-splash/root/usr/bin/luci-splashd
deleted file mode 100755
index a4f11c3bf..000000000
--- a/applications/luci-splash/root/usr/bin/luci-splashd
+++ /dev/null
@@ -1,29 +0,0 @@
-#!/usr/bin/lua
-
-local nixio = require "nixio", require "nixio.util"
-local server = nixio.bind(nil, arg[1] or 8082)
-local stat = server:listen(32)
-
-local function remapipv6(adr)
- local map = "::ffff:"
- if adr:sub(1, #map) == map then
- return adr:sub(#map+1)
- else
- return adr
- end
-end
-
-while stat do
- local client = server:accept()
-
- if client then
- client:setopt("socket", "rcvtimeo", 1)
- client:setopt("socket", "sndtimeo", 1)
- local srv = remapipv6(client:getsockname())
-
- client:read(1024)
- client:writeall("HTTP/1.1 302 Found\r\nLocation: http://" .. srv ..
- (arg[2] or "/luci/splash") .. "\r\nContent-Length: 0\r\nConnection: close\r\n\r\n")
- client:close()
- end
-end